package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.BisHazAssessRecMapper;
import com.goldenwater.slaj.hazard.domain.BisHazAssessRec;
import com.goldenwater.slaj.hazard.service.IBisHazAssessRecService;

/**
 * 危险源考核记录 服务层实现
 */
@Service
public class BisHazAssessRecServiceImpl implements IBisHazAssessRecService {

    @Autowired
    private BisHazAssessRecMapper bisHazAssessRecMapper;

    /**
     * 查询危险源考核记录信息
     * @param id 查询条件
     * @return 危险源考核记录信息
     */
    @Override
    public BisHazAssessRec selectBisHazAssessRecById(Long id) {
        return bisHazAssessRecMapper.selectBisHazAssessRecById(id);
    }

    /**
     * 查询危险源考核记录列表
     * @param bisHazAssessRec 危险源考核记录查询条件
     * @return 危险源考核记录集合
     */
    @Override
    public List<BisHazAssessRec> selectBisHazAssessRecList(BisHazAssessRec bisHazAssessRec) {
        return bisHazAssessRecMapper.selectBisHazAssessRecList(bisHazAssessRec);
    }

    /**
     * 新增危险源考核记录
     * @param bisHazAssessRec 危险源考核记录信息
     * @return 影响行数
     */
    @Override
    public int insertBisHazAssessRec(BisHazAssessRec bisHazAssessRec) {
        return bisHazAssessRecMapper.insertBisHazAssessRec(bisHazAssessRec);
    }

    /**
     * 修改危险源考核记录
     * @param bisHazAssessRec 危险源考核记录信息
     * @return 影响行数
     */
    @Override
    public int updateBisHazAssessRec(BisHazAssessRec bisHazAssessRec) {
        return bisHazAssessRecMapper.updateBisHazAssessRec(bisHazAssessRec);
    }

    /**
     * 删除危险源考核记录
     * @param id 危险源考核记录主键
     * @return 影响行数
     */
    @Override
    public int deleteBisHazAssessRecById(Long id) {
        return bisHazAssessRecMapper.deleteBisHazAssessRecById(id);
    }

    /**
     * 批量删除危险源考核记录
     * @param ids 危险源考核记录主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisHazAssessRecByIds(Long[] ids) {
        return bisHazAssessRecMapper.deleteBisHazAssessRecByIds(ids);
    }
}
